### Index

- dnsLookup (src/.../utilities.ts)
- dnsResolver (src/.../utilities.ts)
- fetchCidContent (src/.../utilities.ts)
- fetchCidContentAsJson (src/.../utilities.ts)
- fetchCidContentViaHttp (src/.../utilities.ts)
- fetchContentViaHttp (src/.../utilities.ts)
- initGenerator (src/.../generator.ts)
- ProvideConfig (src/.../provide-config.ts)
- raceSuccess (src/.../utilities.ts)

### src/lib/utilities.ts

###

dnsLookup
`dnsLookup(name: string, type: string, dnsServers: [])`

Parameters :

Name | Type | Optional | Default value
name | `string` | No |
type | `string` | No |
dnsServers | `[]` | No | `[ 'https://dns.google/resolve', 'https://cloudflare-dns.com/dns-query' ]`

Returns : `Promise<string>`

dnsResolver
`dnsResolver(endpoint: string, name: string, type: string)`

Parameters :

Name | Type | Optional
endpoint | `string` | No
name | `string` | No
type | `string` | No

Returns : `Promise<string>`

fetchCidContent
`fetchCidContent(cid: string, path?: string)`

Parameters :

Name | Type | Optional
cid | `string` | No
path | `string` | Yes

Returns : `Promise<Blob | null>`

fetchCidContentAsJson
`fetchCidContentAsJson(cid: string, path?: string)`

Parameters :

Name | Type | Optional
cid | `string` | No
path | `string` | Yes

Returns : `Promise<any | null>`

fetchCidContentViaHttp
`fetchCidContentViaHttp(cid: string, path?: string)`

Parameters :

Name | Type | Optional
cid | `string` | No
path | `string` | Yes

Returns : `Observable<Blob | null>`

fetchContentViaHttp
`fetchContentViaHttp(url: string)`

Parameters :

Name | Type | Optional
url | `string` | No

Returns : `Observable<Blob | null>`

raceSuccess
`raceSuccess(promises)`

Similar to Promise.race() but only resolves with the first successful promise. It will only reject if all promises reject.

Parameters :

Name | Optional
promises | No

Returns : `Promise<T>`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/provide-config.ts

###

ProvideConfig
`ProvideConfig(config: Record)`

Parameters :

Name | Type | Optional | Default value
config | `Record` | No | `{}`

# results matching ""

# No results matching ""